{config, ...}: {
  mailserver = {
    enable = true;
    stateVersion = 3;
    fqdn = "mail.mtgmonkey.net";
    domains = ["mtgmonkey.net"];

    loginAccounts = {
      "example@mtgmonkey.net" = {
        hashedPasswordFile = "/home/mtgmonkey/secrets/example_passhash";
        aliases = ["postmaster@mtgmonkey.net"];
      };
    };

    certificateScheme = "manual";
  };

  services.roundcube = {
    enable = true;
    hostName = "localhost:6942";
    extraConfig = ''
      $config['smtp_server'] = tls://${config.mailserver.fqdn}";
      $config['smtp_user'] = "%u";
      $config['stmp_pass'] = "%p";
    '';
  };
}
